package com.rc.httpcore.bean;


import java.io.Serializable;
import java.util.List;

import xn.hxp.ui.plan.room.bean.locker.HxpCabinetVo;

public class HxpChemicalVo implements Serializable {

    // 实验室id
    private long subId;
    // ("化学平id")
    private long chemicalId;
    // ("化学品类别（参考字典表）")
    private String chemicalCategory;
    // ("化学品级别：1是管控，2是非管控")
    private int chemicalLevel;
    // ("创建时间")
    private String createTime;
    // ("化学品名称")
    private String chemicalName;
    // ("化学品类别")
    private String chemicalCategoryName;
    // ("化学品级别：1是管控，2是非管控")
    private String chemicalLevelName;
    // ("cas编号")
    private String casNum;
    // ("纯度")
    private String chemicalPurity;
    // ("密度")
    private double chemicalDensity;
    // ("化学品别名")
    private String anotherName;
    // ("存放规定单位")
    private String depositUnit;
    // ("规格值")
    private double specNum;
    // ("规格单位")
    private String specUnit;
    // ("包装值")
    private double packNum;
    // ("包装单位")
    private String packUnit;
    // 厂家
    private String factory;
    // 净含量
    private double netContent;
    // 重量
    private double weigh;

    // 归属人id
    private long belongId;
    // 归属人名字
    private String belongName;
    // 归属人归属类型，1课题组 2人员
    private int belongType;
    // 归属人工号
    private String belongAccount;

    // 标签信息
    private List<StockDetailsModel> stockDetailsModelList;

    // "马克思2:15222222220,熊学生:15200000001"
    private String safeUser;
    // "高安全:18700001202"
    private String adminUser;

    // ("第一认证人id")
    private long oneUserId;
    // ("第一认证人姓名")
    private String oneUserName;
    // ("第一认证人电话")
    private String oneUserMobile;

    // ("第二认证人id")
    private long twoUserId;
    // ("第二认证人姓名")
    private String twoUserName;
    // ("第二认证人电话")
    private String twoUserMobile;
    // 化学品数量
    private int chemicalNumber;
    // 机柜Id
    private long cabinetId;
    // ("机柜名称")
    private String cabinetName;
    // ("柜门id")
    private long doorId;
    // ("柜门名称")
    private String doorName;
    // 存储到哪层层数
    private String layers;
    // 过期日期
    private String expireTime;

    /**
     * 是否全新
     * 1.扫码国瑞码调用接口会返回
     * 2.手动录入都是旧的 false
     */
    private boolean isNew = false;

    /**
     * 1系统申购 2 待入库添加（待入库2和3） 4采购系统 5危化品系统 6终端新增
     * 国瑞扫码是4,手动录入是6
     */
    private int stockType = 6;

    /**
     * 入库方式1 称重，2 录入
     * 如果称重了为1
     * 没有称重为2
     */
    private int joinType = 2;


    // 唯一ID
    private String waitId;
    // 是否被选择
    private boolean isSelect = false;
    // 申购单号
    private String applyOrder;
    // 编码
    private String labels;
    private String doorUniqueId;
    private int doorLayers;
    // 是否是课题组
    private boolean topicGroup;
    // 申领人
    private String applyUserId;
    private String applyUserName;
    private String applyUserPhone;
    // 课题组
    private String topicGroupId;
    private String topicGroupName;
    private String topicUserName;
    private String topicUserPhone;
    // 规格
    private String normsNum;
    // 规格单位
    private String normsUnit;
    // 化学品柜子
    private HxpCabinetVo hxpCabinetVo;

    // 是否国睿
    private boolean isGr;

    public boolean isGr() {
        return isGr;
    }

    public void setGr(boolean gr) {
        isGr = gr;
    }

    public String getWaitId() {
        return waitId;
    }

    public void setWaitId(String waitId) {
        this.waitId = waitId;
    }

    public boolean isSelect() {
        return isSelect;
    }

    public void setSelect(boolean select) {
        isSelect = select;
    }

    public String getApplyOrder() {
        return applyOrder;
    }

    public void setApplyOrder(String applyOrder) {
        this.applyOrder = applyOrder;
    }

    public String getLabels() {
        return labels;
    }

    public void setLabels(String labels) {
        this.labels = labels;
    }

    public String getDoorUniqueId() {
        return doorUniqueId;
    }

    public void setDoorUniqueId(String doorUniqueId) {
        this.doorUniqueId = doorUniqueId;
    }

    public int getDoorLayers() {
        return doorLayers;
    }

    public void setDoorLayers(int doorLayers) {
        this.doorLayers = doorLayers;
    }

    public boolean isTopicGroup() {
        return topicGroup;
    }

    public void setTopicGroup(boolean topicGroup) {
        this.topicGroup = topicGroup;
    }

    public String getApplyUserId() {
        return applyUserId;
    }

    public void setApplyUserId(String applyUserId) {
        this.applyUserId = applyUserId;
    }

    public String getApplyUserName() {
        return applyUserName;
    }

    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }

    public String getApplyUserPhone() {
        return applyUserPhone;
    }

    public void setApplyUserPhone(String applyUserPhone) {
        this.applyUserPhone = applyUserPhone;
    }

    public String getTopicGroupId() {
        return topicGroupId;
    }

    public void setTopicGroupId(String topicGroupId) {
        this.topicGroupId = topicGroupId;
    }

    public String getTopicGroupName() {
        return topicGroupName;
    }

    public void setTopicGroupName(String topicGroupName) {
        this.topicGroupName = topicGroupName;
    }

    public String getTopicUserName() {
        return topicUserName;
    }

    public void setTopicUserName(String topicUserName) {
        this.topicUserName = topicUserName;
    }

    public String getTopicUserPhone() {
        return topicUserPhone;
    }

    public void setTopicUserPhone(String topicUserPhone) {
        this.topicUserPhone = topicUserPhone;
    }

    public String getNormsNum() {
        return normsNum;
    }

    public void setNormsNum(String normsNum) {
        this.normsNum = normsNum;
    }

    public String getNormsUnit() {
        return normsUnit;
    }

    public void setNormsUnit(String normsUnit) {
        this.normsUnit = normsUnit;
    }

    public HxpCabinetVo getHxpCabinetVo() {
        return hxpCabinetVo;
    }

    public void setHxpCabinetVo(HxpCabinetVo hxpCabinetVo) {
        this.hxpCabinetVo = hxpCabinetVo;
    }

    public int getStockType() {
        return stockType;
    }

    public void setStockType(int stockType) {
        this.stockType = stockType;
    }

    public int getJoinType() {
        return joinType;
    }

    public void setJoinType(int joinType) {
        this.joinType = joinType;
    }

    public boolean isNew() {
        return isNew;
    }

    public void setNew(boolean aNew) {
        isNew = aNew;
    }

    public long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public String getCabinetName() {
        return cabinetName;
    }

    public void setCabinetName(String cabinetName) {
        this.cabinetName = cabinetName;
    }

    public long getDoorId() {
        return doorId;
    }

    public void setDoorId(long doorId) {
        this.doorId = doorId;
    }

    public String getDoorName() {
        return doorName;
    }

    public void setDoorName(String doorName) {
        this.doorName = doorName;
    }

    public String getLayers() {
        return layers;
    }

    public void setLayers(String layers) {
        this.layers = layers;
    }

    public int getChemicalNumber() {
        return chemicalNumber;
    }

    public void setChemicalNumber(int chemicalNumber) {
        this.chemicalNumber = chemicalNumber;
    }

    public String getBelongAccount() {
        return belongAccount;
    }

    public void setBelongAccount(String belongAccount) {
        this.belongAccount = belongAccount;
    }

    public long getBelongId() {
        return belongId;
    }

    public void setBelongId(long belongId) {
        this.belongId = belongId;
    }

    public String getBelongName() {
        return belongName;
    }

    public void setBelongName(String belongName) {
        this.belongName = belongName;
    }

    public int getBelongType() {
        return belongType;
    }

    public void setBelongType(int belongType) {
        this.belongType = belongType;
    }

    public String getSafeUser() {
        return safeUser;
    }

    public void setSafeUser(String safeUser) {
        this.safeUser = safeUser;
    }

    public String getAdminUser() {
        return adminUser;
    }

    public void setAdminUser(String adminUser) {
        this.adminUser = adminUser;
    }

    public double getWeigh() {
        return weigh;
    }

    public void setWeigh(double weigh) {
        this.weigh = weigh;
    }

    public double getNetContent() {
        return netContent;
    }

    public void setNetContent(double netContent) {
        this.netContent = netContent;
    }

    public long getChemicalId() {
        return chemicalId;
    }

    public void setChemicalId(long chemicalId) {
        this.chemicalId = chemicalId;
    }

    public String getChemicalCategory() {
        return chemicalCategory;
    }

    public void setChemicalCategory(String chemicalCategory) {
        this.chemicalCategory = chemicalCategory;
    }

    public int getChemicalLevel() {
        return chemicalLevel;
    }

    public void setChemicalLevel(int chemicalLevel) {
        this.chemicalLevel = chemicalLevel;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getChemicalCategoryName() {
        return chemicalCategoryName;
    }

    public void setChemicalCategoryName(String chemicalCategoryName) {
        this.chemicalCategoryName = chemicalCategoryName;
    }

    public String getChemicalLevelName() {
        return chemicalLevelName;
    }

    public void setChemicalLevelName(String chemicalLevelName) {
        this.chemicalLevelName = chemicalLevelName;
    }

    public String getCasNum() {
        return casNum;
    }

    public void setCasNum(String casNum) {
        this.casNum = casNum;
    }

    public String getChemicalPurity() {
        return chemicalPurity;
    }

    public void setChemicalPurity(String chemicalPurity) {
        this.chemicalPurity = chemicalPurity;
    }

    public double getChemicalDensity() {
        return chemicalDensity;
    }

    public void setChemicalDensity(double chemicalDensity) {
        this.chemicalDensity = chemicalDensity;
    }

    public String getAnotherName() {
        return anotherName;
    }

    public void setAnotherName(String anotherName) {
        this.anotherName = anotherName;
    }

    public String getDepositUnit() {
        return depositUnit;
    }

    public void setDepositUnit(String depositUnit) {
        this.depositUnit = depositUnit;
    }

    public double getSpecNum() {
        return specNum;
    }

    public void setSpecNum(double specNum) {
        this.specNum = specNum;
    }

    public String getSpecUnit() {
        return specUnit;
    }

    public void setSpecUnit(String specUnit) {
        this.specUnit = specUnit;
    }

    public double getPackNum() {
        return packNum;
    }

    public void setPackNum(double packNum) {
        this.packNum = packNum;
    }

    public String getPackUnit() {
        return packUnit;
    }

    public void setPackUnit(String packUnit) {
        this.packUnit = packUnit;
    }

    public String getFactory() {
        return factory;
    }

    public void setFactory(String factory) {
        this.factory = factory;
    }

    public List<StockDetailsModel> getStockDetailsModelList() {
        return stockDetailsModelList;
    }

    public void setStockDetailsModelList(List<StockDetailsModel> stockDetailsModelList) {
        this.stockDetailsModelList = stockDetailsModelList;
    }

    public long getSubId() {
        return subId;
    }

    public void setSubId(long subId) {
        this.subId = subId;
    }

    public long getOneUserId() {
        return oneUserId;
    }

    public void setOneUserId(long oneUserId) {
        this.oneUserId = oneUserId;
    }

    public String getOneUserName() {
        return oneUserName;
    }

    public void setOneUserName(String oneUserName) {
        this.oneUserName = oneUserName;
    }

    public String getOneUserMobile() {
        return oneUserMobile;
    }

    public void setOneUserMobile(String oneUserMobile) {
        this.oneUserMobile = oneUserMobile;
    }

    public long getTwoUserId() {
        return twoUserId;
    }

    public void setTwoUserId(long twoUserId) {
        this.twoUserId = twoUserId;
    }

    public String getTwoUserName() {
        return twoUserName;
    }

    public void setTwoUserName(String twoUserName) {
        this.twoUserName = twoUserName;
    }

    public String getTwoUserMobile() {
        return twoUserMobile;
    }

    public void setTwoUserMobile(String twoUserMobile) {
        this.twoUserMobile = twoUserMobile;
    }

    public String getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(String expireTime) {
        this.expireTime = expireTime;
    }
}
